List active cases for the signed-in user
curl --request POST \
--url https://api.platform.arb.inc/cases/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cursor": "2025-07-15T10:20:30Z"
}
'import requests
url = "https://api.platform.arb.inc/cases/list"
payload = { "cursor": "2025-07-15T10:20:30Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cursor: '2025-07-15T10:20:30Z'})
};
fetch('https://api.platform.arb.inc/cases/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"overview": {
"id": "2025-08-00125",
"created": "2025-07-01T09:12:45Z",
"updated": "2025-07-20T14:03:11Z",
"createdByUserID": "2720f109-0caf-4c62-af22-5d08c853711c",
"createdByOrgID": "cfb40d07-6160-4cbc-899e-5541dec01394",
"phaseID": "caseInitiation",
"title": "Case 2025-08-00125",
"claimantName": "Acme Inc",
"respondentName": "Mike Smith"
},
"participants": [
{
"created": "2025-07-02T10:00:00Z",
"userID": "2b7bd450-342a-47c8-8759-9276e5119be4",
"organizationID": "4190c6ca-647d-4d99-b8b3-991b30ebb378",
"firstName": "Owen",
"lastName": "Smith",
"partyID": "claimant",
"isPrimary": true,
"isObserver": false
},
{
"created": "2025-07-02T10:05:00Z",
"userID": "65edccfa-93f6-4dd5-9421-2b3e1ffe856c",
"organizationID": null,
"firstName": "Kyle",
"lastName": "Taskman",
"partyID": "caseManager",
"isPrimary": false,
"isObserver": false
}
],
"partyID": "claimant"
}
],
"cursor": "2025-07-20T14:03:11Z",
"moreCases": true
}cases
List active cases for the signed-in user
Returns the user’s active cases with simple pagination via a cursor.
POST
/
cases
/
list
List active cases for the signed-in user
Authorizations
access token
Body
application/json
Return cases created after this timestamp.
Example:
"2025-07-15T10:20:30Z"
Response
200 - application/json
Cases successfully listed.
⌘I